# eslint-config-xo-nextjs

> ESLint [shareable config](http://eslint.org/docs/developer-guide/shareable-configs.html) for Next.js to be used with [xo](https://github.com/xojs/xo) or [eslint-config-xo](https://github.com/xojs/eslint-config-xo)

[![npm version](https://badgen.net/npm/v/eslint-config-xo-nextjs)](https://www.npmjs.com/package/eslint-config-xo-nextjs)
[![XO code style](https://badgen.net/badge/code%20style/XO/cyan)](https://github.com/xojs/xo)

## CI

[![Tests](https://github.com/tusbar/eslint-config-xo-nextjs/actions/workflows/tests.yml/badge.svg)](https://github.com/tusbar/eslint-config-xo-nextjs/actions/workflows/tests.yml)
[![Release](https://github.com/tusbar/eslint-config-xo-nextjs/actions/workflows/release.yml/badge.svg)](https://github.com/tusbar/eslint-config-xo-nextjs/actions/workflows/release.yml)

## Install

```
$ pnpm add -D eslint-config-xo-nextjs
```

### Example usage with XO

```json
{
  "name": "my-awesome-project",
  "devDependencies": {
    "xo": "…",
    "eslint-config-xo-nextjs": "…"
  },
  "xo": {
    "extends": "xo-nextjs",
    "semicolon": false,
    "space": 2
  }
}
```

## Related

- [XO](https://github.com/xojs/xo)
- [eslint-config-xo](https://github.com/xojs/eslint-config-xo) - ESLint shareable config for XO
- [eslint-config-xo-react](https://github.com/xojs/eslint-config-xo-react) - ESLint shareable config for React to be used with eslint-config-xo
- [@next/eslint-plugin-next](https://github.com/vercel/next.js/tree/canary/packages/eslint-plugin-next) - ESLint plugin for Next.js projects
- [eslint-config-xo-bizon](http://github.com/bizon/eslint-config-xo-bizon) - Better defaults, often used alongside this plugin

## License

MIT © [Bertrand Marron](https://github.com/tusbar)

## Miscellaneous

```
    ╚⊙ ⊙╝
  ╚═(███)═╝
 ╚═(███)═╝
╚═(███)═╝
 ╚═(███)═╝
  ╚═(███)═╝
   ╚═(███)═╝
```
